Last Comment Bug 742626 - Allow indexedDB parent directory to not be the default profile directory
: Allow indexedDB parent directory to not be the default profile directory
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla16
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 766375
  Show dependency treegraph
 
Reported: 2012-04-04 22:04 PDT by [:fabrice] Fabrice Desré
Modified: 2012-06-22 03:46 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use the "indexedDBPDir" directory (1.33 KB, patch)
2012-04-04 22:04 PDT, [:fabrice] Fabrice Desré
bent.mozilla: review+
Details | Diff | Splinter Review
patch (1.69 KB, patch)
2012-06-19 15:15 PDT, Gregor Wagner [:gwagner]
no flags Details | Diff | Splinter Review
patch (1.69 KB, patch)
2012-06-19 18:06 PDT, Gregor Wagner [:gwagner]
bent.mozilla: review+
Details | Diff | Splinter Review

Description [:fabrice] Fabrice Desré 2012-04-04 22:04:16 PDT
Created attachment 612453 [details] [diff] [review]
Use the "indexedDBPDir" directory

In b2g we will preload some indexedDB databases (eg. the settings db), like we preload the offline cache and the mozApps data. This happens at build time, before the first run of gecko, so we don't have yet a profile directory.
Comment 1 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-04-18 11:50:59 PDT
Comment on attachment 612453 [details] [diff] [review]
Use the "indexedDBPDir" directory

Review of attachment 612453 [details] [diff] [review]:
-----------------------------------------------------------------

Hm... If this is just a build thing can we just use an environment variable rather than adding a new directory key?
Comment 2 [:fabrice] Fabrice Desré 2012-04-18 14:03:30 PDT
It's not only at build time. We expect data to be there at runtime, and we don't have the profile directory ready before first run.
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-04-18 15:56:57 PDT
Comment on attachment 612453 [details] [diff] [review]
Use the "indexedDBPDir" directory

Review of attachment 612453 [details] [diff] [review]:
-----------------------------------------------------------------

Ok!
Comment 4 [:fabrice] Fabrice Desré 2012-04-30 10:28:28 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/28cfc474ab58
Comment 7 :Ehsan Akhgari 2012-05-02 21:10:01 PDT
Backed out: https://hg.mozilla.org/mozilla-central/rev/b87dcc5e00db
Comment 8 Gregor Wagner [:gwagner] 2012-06-19 15:15:34 PDT
Created attachment 634616 [details] [diff] [review]
patch

Rebased.
Comment 9 Gregor Wagner [:gwagner] 2012-06-19 16:38:56 PDT
I pushed to try again: https://tbpl.mozilla.org/?tree=Try&rev=46c8c835c22d
Comment 10 Gregor Wagner [:gwagner] 2012-06-19 18:06:12 PDT
Created attachment 634693 [details] [diff] [review]
patch
Comment 11 Gregor Wagner [:gwagner] 2012-06-21 09:40:40 PDT
Ah I forgot the -u mercurial flag.

https://hg.mozilla.org/integration/mozilla-inbound/rev/6f0cb242f0e6
Comment 12 Ed Morley [:emorley] 2012-06-22 03:46:56 PDT
https://hg.mozilla.org/mozilla-central/rev/6f0cb242f0e6

Note You need to log in before you can comment on or make changes to this bug.